//          File: graphtest.cpp
//        Author: Elena Machkasova
// Last Modified: April 25, 2001
//         Topic: Linked List Implementation of Graphs in C++

// The file contains a test program for the class Graph

#include <iostream>
#include "graph.h"

int main() {
  Graph myGraph;

  myGraph.AddVertex(1);
  myGraph.AddVertex(2);
  myGraph.AddVertex(3);
  myGraph.AddVertex(4);

  myGraph.AddEdge(1, 2, 1);
  myGraph.AddEdge(2, 1, 1);
  myGraph.AddEdge(2, 3, 2);
  myGraph.AddEdge(4, 3, 3);
  myGraph.AddEdge(1, 3, 4);
  myGraph.AddEdge(2, 4, 2);

  myGraph.print();  

  return 0;
}
